hwy::HWY_NAMESPACE::impl::ExpImpl< float > Struct Reference

`#include <math-inl.h>`

## Public Member Functions

template<class D , class V >
HWY_INLINE Vec< Rebind< int32_t, D > > | ToInt32 (D, V x)
template<class D , class V >
HWY_INLINE V | ExpPoly (D d, V x)
template<class D , class VI32 >
HWY_INLINE Vec< D > | Pow2I (D d, VI32 x)
template<class D , class V , class VI32 >
HWY_INLINE V | LoadExpShortRange (D d, V x, VI32 e)
template<class D , class V , class VI32 >
HWY_INLINE V | ExpReduce (D d, V x, VI32 q)

## Member Function Documentation

## ExpPoly()

template<class D , class V >

HWY_INLINE V hwy::HWY_NAMESPACE::impl::ExpImpl< float >::ExpPoly | ( | D | d,
|  | V | x
| ) |  |

inline

References hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::impl::Estrin(), hwy::HWY_NAMESPACE::MulAdd(), and hwy::HWY_NAMESPACE::Set().

## ExpReduce()

template<class D , class V , class VI32 >

HWY_INLINE V hwy::HWY_NAMESPACE::impl::ExpImpl< float >::ExpReduce | ( | D | d,
|  | V | x,
|  | VI32 | q
| ) |  |

inline

References hwy::HWY_NAMESPACE::ConvertTo(), hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::MulAdd(), and hwy::HWY_NAMESPACE::Set().

## LoadExpShortRange()

template<class D , class V , class VI32 >

HWY_INLINE V hwy::HWY_NAMESPACE::impl::ExpImpl< float >::LoadExpShortRange | ( | D | d,
|  | V | x,
|  | VI32 | e
| ) |  |

inline

References hwy::HWY_NAMESPACE::d.

## Pow2I()

template<class D , class VI32 >

HWY_INLINE Vec< D > hwy::HWY_NAMESPACE::impl::ExpImpl< float >::Pow2I | ( | D | d,
|  | VI32 | x
| ) |  |

inline

References hwy::HWY_NAMESPACE::BitCast(), hwy::HWY_NAMESPACE::d, and hwy::HWY_NAMESPACE::Set().

## ToInt32()

template<class D , class V >

HWY_INLINE Vec< Rebind< int32_t, D > > hwy::HWY_NAMESPACE::impl::ExpImpl< float >::ToInt32 | ( | D | ,
|  | V | x
| ) |  |

inline

References hwy::HWY_NAMESPACE::ConvertTo().

The documentation for this struct was generated from the following file:

- math-inl.h